PFM2KPX(1)

NAME
pfm2kpx - extract correct kerning information from pfm (Printer Font Metrics) files

SYNOPSIS
pfm2kpx [options] pfm

DESCRIPTION
Many PostScript Type1 fonts contain only pfb and pfm files, but no afm (Adobe Font Metrics) files. These can be generated with pf2afm (which comes with GhostScript), but this might not yield all kerning pairs from the pfm file. The reason for this is that pf2afm interprets "dfCharSet = 0x00" to mean that the Adobe StandardEncoding has been used, whereas many fonts (or font creation tools) instead use the Windows ANSI (aka codepage 1252) encoding. (You know you've hit this problem when pf2afm complains "".notdef character ocurred among kern pairs -- you'd better check the resulting AFM file"".) In this case, the resulting afm is incomplete and contains wrong kerning pairs.

pfm2kpx extracts the correct kerning pairs from such pfm files and repairs the afm (if necessary creating it first by running pf2afm). If for some reason it can't update the afm, it prints the kerning pairs to "stdout" instead.

When pf2afm doesn't complain about the kerning pairs, pfm2kpx thinks the resulting afm file is fine and quits; this can be changed by specifying the -f option (see below).

OPTIONS
Force updating of the afm file, even if pf2afm doesn't complain.

SEE ALSO
pf2afm (part of GhostScript), afm2afm, autoinst, cmap2enc, font2afm, ot2kpx.

AUTHOR
Marc Penninga <marc@penninga.info>

HISTORY
First version Added "binmode PFM" to make pfm2kpx work on Windows platforms Input files searched via kpsewhich (where available) Rewrote some of the code to make it more robust, added the -f option Input files searched using kpsewhich or findtexmf Improved the documentation Bugfix. Some updates to the documentation.